## com.google.javascript.jscomp.ant
Class AntErrorManager

    java.lang.Object
      com.google.javascript.jscomp.BasicErrorManager
          com.google.javascript.jscomp.ant.AntErrorManager

All Implemented Interfaces:
  ErrorHandler, ErrorManager

    public final class AntErrorManager

extends BasicErrorManager

An error manager that pipes warnings and errors properly into the Ant task infrastructure.

Constructor Summary
`AntErrorManager(MessageFormatter formatter, org.apache.tools.ant.Task task)`

Method Summary
`void` | `println(CheckLevel level, JSError error)` Print a message with a trailing new line.
`protected void` | `printSummary()` Print the summary of the compilation - number of errors and warnings.

Methods inherited from class com.google.javascript.jscomp.BasicErrorManager
`generateReport, getErrorCount, getErrors, getTypedPercent, getWarningCount, getWarnings, report, setTypedPercent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntErrorManager

    public AntErrorManager(MessageFormatter formatter,
                           org.apache.tools.ant.Task task)

Method Detail

### println

    public void println(CheckLevel level,
                        JSError error)

  Description copied from class: `BasicErrorManager`
  Print a message with a trailing new line. This method is called by the `BasicErrorManager.generateReport()` method when generating messages.

  Specified by:
    `println` in class `BasicErrorManager`

### printSummary

    protected void printSummary()

  Description copied from class: `BasicErrorManager`
  Print the summary of the compilation - number of errors and warnings.

  Specified by:
    `printSummary` in class `BasicErrorManager`